%if 0%{?fedora} >= 22
%global with_python3 1
%endif

%define author coleifer
%define unmangled_name micawber

Summary: A small library for extracting rich content from urls
Name: python-%{unmangled_name}
Version: 0.3.3
Release: 3%{?dist}.1
Source0: https://github.com/%{author}/%{unmangled_name}/archive/%{version}/%{unmangled_name}-%{version}.tar.gz
Patch0: python-micawber-django-test.patch
License: MIT
Group: Development/Libraries
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-django
BuildRequires: python-beautifulsoup4
%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-django
BuildRequires: python3-beautifulsoup4
%endif
Vendor: Charles Leifer <coleifer@gmail.com>
Url: http://github.com/coleifer/micawber/

%description
micawber supplies a few methods for retrieving rich metadata about a variety of
links, such as links to youtube videos.  micawber also provides functions for
parsing blocks of text and html and replacing links to videos with rich embedded
content.

%if 0%{?with_python3}
%package -n python3-%{unmangled_name}
Summary: A small library for extracting rich content from urls
Group: Development/Libraries

%description -n python3-%{unmangled_name}
micawber supplies a few methods for retrieving rich metadata about a variety of
links, such as links to youtube videos.  micawber also provides functions for
parsing blocks of text and html and replacing links to videos with rich embedded
content.

This package contains the python3 version of this module.
%endif

%prep
%setup -n %{unmangled_name}-%{version}
%patch0 -p1
%{__mv} examples micawber/examples

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
popd
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install \
  --skip-build \
  --single-version-externally-managed \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES_PY2

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install \
  --single-version-externally-managed \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record="%{_builddir}/%{buildsubdir}/INSTALLED_FILES_PY3"
popd
%endif

%check
%{__python2} runtests.py

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} runtests.py
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES_PY2
%defattr(-,root,root)

%if 0%{?with_python3}
%files -n python3-%{unmangled_name} -f INSTALLED_FILES_PY3
%defattr(-,root,root)
%endif
%changelog
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 0.3.3-3
- Enable build with Python 3
- Require beautifulsoup4 Python module instead of BeautifulSoup
* Thu Sep 10 2015 Oleg Girko <ol@infoserver.lv> 0.3.3-2
- Add patch to fix tests to run with newer Django
* Wed Sep  9 2015 Oleg Girko <ol@infoserver.lv> 0.3.3-1
- Initial package
